{
	"name": "lst_v3",
	"version": "0.1.0-alpha.2",
	"description": "The tool that supports us in our everyday alplaprod",
	"main": "index.js",
	"scripts": {
		"test": "dotenvx run -f .env -- vitest",
		"test:run": "dotenvx run -f .env -- vitest run",
		"dev": "concurrently -n \"server,frontend\" -c \"#007755, #1F73D1\" \"npm run dev:app\"  \"npm run dev:frontend\"",
		"dev:app": "dotenvx run -f .env -- tsx watch backend/server.ts",
		"dev:frontend": "cd frontend && npm run dev",
		"dev:db:migrate": "npx drizzle-kit push",
		"dev:db:generate": "tsc && npx drizzle-kit generate --config=drizzle.config.ts",
		"build": "rimraf dist && npm run dev:db:generate && npm run dev:db:migrate && npm run build:app && npm run build:copySql && npm run build:copyGpSql  && npm run build:emailTemplate && cd frontend && npm run build",
		"build:app": "tsc",
		"agent": "powershell -ExecutionPolicy Bypass -File scripts/agentController.ps1",
		"build:docker": "rimraf dist && npm run build:app && npm run build:copySql && npm run build:copyGpSql  && npm run build:emailTemplate",
		"build:emailTemplate": "cpy \"backend/utils/mailViews/**/*\" dist/utils/mailViews --parents",
		"build:copyGpSql": "cpy \"backend/gpSql/queries/**/*\" dist/gpSql/queries --parents",
		"build:copySql": "cpy \"backend/prodSql/queries/**/*\" dist/prodSql/queries --parents",
		"lint": "tsc && biome lint",
		"start": "npm run start:server",
		"start:server": "dotenvx run -f .env -- node dist/server.js",
		"start:docker": "node dist/server.js",
		"version": "changeset version",
		"specCheck": "node scripts/check-route-specs.mjs",
		"commit": "cz",
		"release": "npm run build && commit-and-tag-version",
		"build:apk": "cd lstMobile && expo prebuild --clean && cd android && gradlew.bat assembleRelease "
	},
	"repository": {
		"type": "git",
		"url": "https://git.tuffraid.net/cowch/lst_v3.git"
	},
	"keywords": [],
	"author": "",
	"license": "ISC",
	"type": "module",
	"devDependencies": {
		"@biomejs/biome": "2.4.8",
		"@commitlint/cli": "^20.5.0",
		"@commitlint/config-conventional": "^20.5.0",
		"@types/archiver": "^7.0.0",
		"@types/cors": "^2.8.19",
		"@types/express": "^5.0.6",
		"@types/morgan": "^1.9.10",
		"@types/mssql": "^9.1.9",
		"@types/multer": "^2.1.0",
		"@types/net-snmp": "^3.23.0",
		"@types/node": "^25.5.0",
		"@types/nodemailer": "^7.0.11",
		"@types/nodemailer-express-handlebars": "^4.0.6",
		"@types/pg": "^8.18.0",
		"@types/supertest": "^7.2.0",
		"@types/swagger-jsdoc": "^6.0.4",
		"@types/swagger-ui-express": "^4.1.8",
		"commit-and-tag-version": "^12.7.1",
		"commitizen": "^4.3.1",
		"cpy-cli": "^7.0.0",
		"cz-conventional-changelog": "^3.3.0",
		"npm-check-updates": "^19.6.5",
		"openapi-types": "^12.1.3",
		"supertest": "^7.2.2",
		"ts-node-dev": "^2.0.0",
		"tsx": "^4.21.0",
		"typescript": "^5.9.3",
		"vitest": "^4.1.8"
	},
	"dependencies": {
		"@dotenvx/dotenvx": "^1.57.0",
		"@scalar/express-api-reference": "^0.9.4",
		"@socket.io/admin-ui": "^0.5.1",
		"archiver": "^7.0.1",
		"axios": "^1.13.6",
		"bcryptjs": "^3.0.3",
		"better-auth": "^1.5.5",
		"chokidar": "^5.0.0",
		"concurrently": "^9.2.1",
		"cors": "^2.8.6",
		"croner": "^10.0.1",
		"date-fns": "^4.1.0",
		"date-fns-tz": "^3.2.0",
		"drizzle-kit": "^0.31.10",
		"drizzle-orm": "^0.45.1",
		"drizzle-zod": "^0.8.3",
		"express": "^5.2.1",
		"husky": "^9.1.7",
		"ldapts": "^8.1.7",
		"modbus-serial": "^8.0.25",
		"morgan": "^1.10.1",
		"mssql": "^12.2.1",
		"multer": "^2.1.1",
		"net-snmp": "^3.26.1",
		"nodemailer": "^8.0.3",
		"nodemailer-express-handlebars": "^7.0.0",
		"pg": "^8.20.0",
		"pino": "^10.3.1",
		"pino-pretty": "^13.1.3",
		"postgres": "^3.4.8",
		"powershell": "^2.3.3",
		"socket.io": "^4.8.3",
		"socket.io-client": "^4.8.3",
		"zod": "^4.3.6"
	},
	"config": {
		"commitizen": {
			"path": "cz-conventional-changelog"
		}
	}
}
